package com.ruoyi.bst.bonus.service;

import java.util.List;

import com.ruoyi.bst.areaJoin.domain.AreaJoinVO;
import com.ruoyi.bst.bonus.domain.Bonus;
import com.ruoyi.bst.device.domain.DeviceVO;
import com.ruoyi.bst.order.domain.bo.OrderCreateBO;

public interface BonusConverter {

    /**
     * 将订单支付BO转换为分成列表
     */
    List<Bonus> toBonusList(OrderCreateBO bo);

    /**
     * 将设备、合伙人、加盟商转换为分成列表
     */
    List<Bonus> toBaseBonusListPlatform(DeviceVO device, List<AreaJoinVO> partners, AreaJoinVO join);
    
}
